POST api/Zapier/InsertServiceRequestsAddressChanges
Insert service request address change.
Request Information
URI Parameters
None.
Body Parameters
ServiceRequestsAddressChangesModel| Name | Description | Type | Additional information |
|---|---|---|---|
| new_address | string |
None. |
|
| due_date | string |
None. |
|
| description | string |
None. |
|
| status | string |
None. |
|
| insured_id | globally unique identifier |
None. |
|
| insured_name | string |
None. |
|
| insured_email | string |
None. |
|
| insured_phone | string |
None. |
|
| policy_number | string |
None. |
|
| stage | string |
None. |
|
| custom_type | string |
None. |
|
| request_database_id | globally unique identifier |
None. |
|
| policy_database_id | Collection of globally unique identifier |
None. |
|
| agent_database_id | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"new_address": "sample string 1",
"due_date": "sample string 2",
"description": "sample string 3",
"status": "sample string 4",
"insured_id": "e04bcc44-8aab-405b-8da6-0f00fa77e72d",
"insured_name": "sample string 5",
"insured_email": "sample string 6",
"insured_phone": "sample string 7",
"policy_number": "sample string 8",
"stage": "sample string 9",
"custom_type": "sample string 10",
"request_database_id": "3d60868f-dfec-435a-8c50-27782f98af86",
"policy_database_id": [
"d7226a59-6e71-4bc3-9cbc-4f4f63efb6ef",
"3e97db7c-5a83-446b-b770-61fab23407a5"
],
"agent_database_id": [
"61ce4e94-c527-4348-8d18-a8c06e0761c0",
"5a96c8f8-4bad-439f-a640-da72c4e65479"
]
}
application/xml, text/xml
Sample:
<ServiceRequestsAddressChangesModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models">
<AgentDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>61ce4e94-c527-4348-8d18-a8c06e0761c0</d2p1:guid>
<d2p1:guid>5a96c8f8-4bad-439f-a640-da72c4e65479</d2p1:guid>
</AgentDatabaseId>
<CustomType xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 10</CustomType>
<Description xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 3</Description>
<InsuredEmail xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 6</InsuredEmail>
<InsuredId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">e04bcc44-8aab-405b-8da6-0f00fa77e72d</InsuredId>
<InsuredName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 5</InsuredName>
<InsuredPhone xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 7</InsuredPhone>
<PolicyDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>d7226a59-6e71-4bc3-9cbc-4f4f63efb6ef</d2p1:guid>
<d2p1:guid>3e97db7c-5a83-446b-b770-61fab23407a5</d2p1:guid>
</PolicyDatabaseId>
<PolicyNumber xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 8</PolicyNumber>
<RequestDatabaseId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">3d60868f-dfec-435a-8c50-27782f98af86</RequestDatabaseId>
<Stage xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 9</Stage>
<Status xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 4</Status>
<DueDate>sample string 2</DueDate>
<NewAddress>sample string 1</NewAddress>
</ServiceRequestsAddressChangesModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultWithDatabaseId| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "1eb22697-2c76-4002-a4a1-aea7dcd093b2",
"status": 0,
"message": "sample string 2"
}
application/xml, text/xml
Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 2</Message> <Status>Error</Status> <DatabaseId>1eb22697-2c76-4002-a4a1-aea7dcd093b2</DatabaseId> </NowCertsApiResultWithDatabaseId>